using UnityEngine;
using System.Collections;

public class Raft : MonoBehaviour 
{
	public GameObject [] things;
	
	public static Raft Instance;
	
	public Transform start;
	public Transform end;
	public Transform middle;
	
	PersonGenerator pg;
	
	public Transform [] spawnPoints;
	public Transform scoreTextPoint;
	
	void Start () 
	{
		Instance = this;
		
		things = new GameObject[3];
		
		pg = GetComponent<PersonGenerator>();
		
		transform.position = end.position;
		iTween.MoveTo(gameObject, iTween.Hash("position", transform.position, "time", 1.1f, "oncomplete", "LoadThings"));
	}
	
	public void CheckCapacity()
	{
		Debug.Log("CheckCapacity");
		int citizensCount = 0;
		
		for (int i = 0; i < 3; i++)
		{
			if (things[i] && things[i].transform.parent == transform)
			{
				citizensCount++;
			}
		}
		Debug.Log(citizensCount);
		if (citizensCount == 0)
		{
			TransitionOff();
				
			if (!Level.Instance.SpaceForCitizens())
			{
				score = Level.Instance.CalculateScore();
				InfoHUD.Instance.score = score;
			}
		}
	}
	
	int score = 0;
	
	void LoadThings()
	{
		// generate person and things then slide it on screen
		transform.position = start.position;

		for (int i = 0; i < 3; i++)
		{	
			if (Level.Instance.SpaceForCitizens())
			{
				Citizen c = pg.Generate(spawnPoints[i]);
				c.transform.parent = transform;
				
				things[i] = c.gameObject;
			}

		}
		
		iTween.MoveTo(gameObject, middle.position, 2f);
	}
	
	void TransitionOff()
	{
		iTween.MoveTo(gameObject, iTween.Hash("position", end.position, "time", 2f, "oncomplete", "LoadThings"));
	}
	
	void OnPressDown()
	{
		Debug.Log("trying raft reset");
		
		if (!Level.Instance.SpaceForCitizens())
		{
			Playtomic.Log.CustomMetric("PlayedAgain");
			Playtomic.Log.Play();
			iTween.MoveTo(gameObject, iTween.Hash("position", end.position, "time", 2f, "oncomplete", "NewLevel"));
		}
	}
	
	void NewLevel()
	{
		Application.LoadLevel("Game");
	}
}
