using UnityEngine;
using System.Collections;

public class AnyColourDesire : Desire 
{
	Color colour;
	string cname;
	
	public AnyColourDesire() : this(1, 4)
	{
	}
	
	public AnyColourDesire(int low, int high)
	{
		this.icon = " ";
		
		colour = Citizen.RandomColour();
		cname = Citizen.ColourName(colour);
		this.description = "the colour " + cname;
		
		this.fulfilledAmount = Random.Range(low, high + 1); // not the last number
	}
	
	public override void ApplyAttribute (DAttribute attr, bool ownTile)
	{
		if (fulfilled) return;
		
		if (attr.color == colour)
		{
			amount += 1;
			
			if (amount >= fulfilledAmount)
			{
				fulfilled = true;
			}
		}
	}
}
