using UnityEngine;
using System.Collections;

public class PersonColourDesire : Desire 
{
	Color colour;
	string cname;
	
	public PersonColourDesire() : this(1, 2)
	{
	}
	
	public PersonColourDesire(int low, int high)
	{
		this.icon = " ";
		
		colour = Citizen.RandomColour();
		cname = Citizen.ColourName(colour);
		this.description = "near a " + cname + " citizen";
		
		this.fulfilledAmount = Random.Range(low, high + 1); // not the last number
	}
	
	public override void ApplyAttribute (DAttribute attr, bool ownTile)
	{
		if (fulfilled) return;
		
		if (attr.type == DAttribute.AttrType.Person && attr.color == colour)
		{
			amount += 1;
			
			if (amount >= fulfilledAmount)
			{
				fulfilled = true;
			}
		}
	}
}
