using UnityEngine;
using System.Collections;

public class PersonDesire : Desire 
{
	public PersonDesire() : this(2, 4)
	{
	}
	
	public PersonDesire(int low, int high)
	{
		this.icon = " ";
		this.description = "near any citizen";
		this.fulfilledAmount = Random.Range(low, high + 1); // 2 - 4 
	}
	
	public override void ApplyAttribute (DAttribute attr, bool ownTile)
	{
		if (fulfilled) return;
		
		if (attr.type == DAttribute.AttrType.Person)
		{
			amount += 1;
			
			if (amount >= fulfilledAmount)
			{
				//Debug.Log("PersonDesire fulfilled " + attr.name);
				fulfilled = true;
			}
		}
	}
}
