using UnityEngine;
using System.Collections;

public class SpecificPersonNameDesire : Desire 
{
	public string personName;
	
	public SpecificPersonNameDesire()
	{
		personName = Citizen.names[Random.Range(0, Citizen.names.Length)];
			
		this.icon = " ";
		this.description = "near a citizen named " + personName;
		this.fulfilledAmount = 1;
	}
	
	public SpecificPersonNameDesire(string name)
	{
		personName = name;
			
		this.icon = " ";
		this.description = "near a citizen named " + personName;
		this.fulfilledAmount = 1;
	}
	
	public override void ApplyAttribute (DAttribute attr, bool ownTile)
	{
		if (fulfilled) return;
		
		if (attr.type == DAttribute.AttrType.Person)
		{
			if (attr.name == personName)
			{
				fulfilled = true;
			}
		}
	}
}
